/*  Copyrigth 2003 Laurent Van Begin and Gilles Geeraerts
 *
 *  This file is part of the CBP2GM compiler.
 *
 *  The CBP2GM compiler is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The CBP2GM compiler is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CBP2GM; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _LOCALVALUATION_H_
#define _LOCALVALUATION_H_

#include "CBP.h"

#define _NO_MODIF_VALUE 10
#define _NO_VALUE 11
#define _TRUE_VALUE 1
#define _FALSE_VALUE 0

void apply_transformation(int *value, int *modif, int nb_value);
int * transform_expression(ExpressionRet * exp, int nb_value);
int * transform_expression_list(ExpListRet * list_exp, int nb_value);
int test_value(int *value1, int *value2,int nb_val);
#endif
