/*  Copyrigth 2003 Laurent Van Begin and Gilles Geeraerts
 *
 *  This file is part of the CBP2GM compiler.
 *
 *  The CBP2GM compiler is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The CBP2GM compiler is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with CBP2GM; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _STRINGMANIP_H
#define _STRINGMANIP_H

#include <string.h>
#include <malloc.h>
#include <stdio.h>

/* What should be used to seperate the conditions and the assignations */
#define _DELIM_ ", "

/*What should be put around the variable name to negate it in a condition */
#define _NOTBEGIN_ "not "
#define _NOTEND_ " "

/* How many bytes we should take in a malloc for a not */
#define _NOTSIZE_ (sizeof(_NOTBEGIN_)+sizeof(_NOTEND_))

/* The assignation operator */
#define _ASSIGN_ " := "

/* The possible values in the assignation */ 
#define _STRUE_ "true"
#define _SFALSE_ "false"

void add_to_guard(char * guard, char * name, int not) ;
void add_to_action(char * action, char * name, char * val) ;
char * concat_guard_action(char * guard, char * action) ;

#endif
